com.google.gwt.user.server.rpc

## Class SerializationPolicyClient

- java.lang.Object
- - com.google.gwt.user.server.rpc.SerializationPolicyClient

    class SerializationPolicyClient
    extends java.lang.Object

A simple and relatively naive client for downloading serialization policies from a URL. (Intended only for development.)

### Nested Class Summary

Nested Classes
`(package private) static interface` `SerializationPolicyClient.Logger` Destination for the loader's log messages.

### Constructor Summary

Constructors
Constructor and Description
`SerializationPolicyClient(int connectTimeoutMs, int readTimeoutMs)` Creates an client with the given configuration,

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) SerializationPolicy` `loadPolicy(java.lang.String url, SerializationPolicyClient.Logger logger)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializationPolicyClient

    SerializationPolicyClient(int connectTimeoutMs,
                              int readTimeoutMs)

Creates an client with the given configuration,

Parameters:
  `connectTimeoutMs` - see `URLConnection.setConnectTimeout(int)`
  `readTimeoutMs` - see `URLConnection.setReadTimeout(int)`

### Method Detail

#### loadPolicy

    SerializationPolicy loadPolicy(java.lang.String url,
                                   SerializationPolicyClient.Logger logger)